Package it.ernytech.tdlib

## Class TdApi.WebPageInstantView

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.WebPageInstantView

Enclosing class:
  TdApi

    public static class TdApi.WebPageInstantView
    extends TdApi.Object

Describes an instant view page for a web page.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isFull` True, if the instant view contains the full page.
`TdApi.PageBlock[]` `pageBlocks` Content of the web page.

### Constructor Summary

Constructors
`WebPageInstantView()` Default constructor.
`WebPageInstantView​(TdApi.PageBlock[] pageBlocks, boolean isFull)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### pageBlocks

    public TdApi.PageBlock[] pageBlocks

Content of the web page.

#### isFull

    public boolean isFull

True, if the instant view contains the full page. A network request might be needed to get the full web page instant view.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### WebPageInstantView

    public WebPageInstantView()

Default constructor.

#### WebPageInstantView

    public WebPageInstantView​(TdApi.PageBlock[] pageBlocks,
                              boolean isFull)

Constructor for initialization of all fields.

Parameters:
  `pageBlocks` - Content of the web page.
  `isFull` - True, if the instant view contains the full page. A network request might be needed to get the full web page instant view.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR